version: '3'
services:
  app:
    depends_on:
      - mongo
      - sso
    build: .
    volumes:
      - ./src:/app/src
    environment:
      MONGODB_URI: mongodb://mongo/voc
      CHULASSO_URL: http://sso:8000
      CHULASSO_APPID: MyApp
      CHULASSO_APPSECRET: MySecret
      JWT_SECRET: MySecret
      SECURE_COOKIE: 'no'
      __ADMIN_TOKEN: 'ABCD1234'
    working_dir: /app
    command: yarn start:dev
    ports:
      - '3000:3000'
  mongo:
    image: mongo
    ports:
      - '27017:27017'
  sso:
    image: pay2630/chulassomock
    environment:
      APPID: MyApp
      APPSECRET: MySecret
      PORT: 8000
    ports:
      - '8000:8000'
  redis:
    image: redis
    ports:
      - '6379:6379'
